1. Orders
Treek-Public
  • Authentication
    • User login with email and password
      POST
  • Orders
    • Create Order
      POST
    • List Orders
      GET
    • Order Details
      GET
    • Update Order
      PUT
    • Cancel Order
      POST
    • Reset Order
      POST
    • Get Statuses
      GET
    • Verify Item
      POST
    • Verify Order
      POST
    • Order Price
      GET
  • Shipments
    • Create Shipment
      POST
    • Return Shipment
      POST
    • Print Invoice
      GET
  • Boxes
    • Create Box
      POST
    • Get Boxes
      GET
    • Box Details
      GET
    • Update Box
      PUT
  • Merchants
    • Merchants Details
      GET
  • Profile
    • User Details
      GET
    • Update User
      PUT
    • Change Password
      PUT
  • Utilities
    • Countries List
      GET
    • Cities List
      GET
    • Couriers List
      GET
  • Warehouses
    • Warehouses List
    • Create warehouse
    • warehouse Details
  • Price Calculator
    • Price Calculator
  • Packaging Type
    • Packaging Types List
    • Packaging Type Details
  • statistics
    • Statistics
  • Schemas
    • LoginRequest
    • CreateOrderRequest
    • UpdateOrderRequest
    • Price Calculator
    • VerifyItem
    • CreateWarehouseRequest
    • Shipment Package
    • Create Reverse Shipment
    • OrderPackages
    • OrderItem
    • Order
    • City
    • Country
    • User
    • OrderItem
    • CreateOrderItemRequest
    • CalculateRatesRequest
    • BoxDimensions
    • OrderShippingRate
    • RateCalculationParams
    • Warehouse
    • Box
    • CreateBoxRequest
    • UpdateBoxRequest
    • ValidationError
    • NotFoundError
    • UnauthorizedError
    • ForbiddenError
    • PaginationMeta
    • PaginationLinks
  1. Orders

Cancel Order

POST
https://app.gotreek.com/api/orders/{id}/cancel
Orders
Last modified:2026-01-04 13:31:27
Cancel an existing order by its ID. This endpoint runs the full business cancellation flow for the order, then returns the updated order with its status and related data.
📌
Authentication
Bearer token authentication is required.
Only orders owned by the authenticated merchant can be cancelled.
📌
Automatic processing
Calls integrated courier cancellation services and clears shipment data (tracking, labels, references).
Updates linked sales channels when applicable and sets the order status to cancelled.
📌
Behaviour
Use this endpoint when you need to cancel an order that has shipment data.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://app.gotreek.com/api/auth/login
or
Path Params

Header Params

Responses

🟢200
application/json
Order cancelled successfully
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://app.gotreek.com/api/orders//cancel' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "success": true,
    "message": "Order cancelled successfully. Refund processed.",
    "data": {
        "id": 43978,
        "order_number": "17676030724246",
        "status": "canceled",
        "date": "2026-01-05 08:51:12",
        "order_grand_total": 120,
        "currency": "SAR",
        "description": "testdescription",
        "payment_method": "cod",
        "receiver_first_name": "test",
        "receiver_last_name": "test",
        "receiver_phone": "+966501234567",
        "receiver_email": "test@example.com",
        "receiver_short_address": "RRRR2424",
        "receiver_country_id": 1,
        "receiver_country": {
            "id": 1,
            "name": "Saudi Arabia",
            "name_ar": "السعودية"
        },
        "receiver_country_code": null,
        "receiver_city": {
            "id": 62,
            "name": "Riyadh",
            "name_ar": "الرياض"
        },
        "receiver_address_line": "testadress",
        "receiver_street_name": "teststreet",
        "receiver_block": "testblock",
        "receiver_postal_code": "test",
        "receiver_latitude": "36.80650000",
        "receiver_longitude": "10.18150000",
        "shipper_name": "تست",
        "shipper_email": null,
        "shipper_phone": "+966533112592",
        "shipper_country_id": 1,
        "shipper_city": "جدة",
        "shipper_address_line": "الهنداوية شارع زهرة اللوتس مقابل تموينات التوفير ",
        "shipper_street_name": null,
        "shipper_block": null,
        "shipper_postal_code": null,
        "shipper_latitude": null,
        "shipper_longitude": null,
        "shipper_short_address": null,
        "total_weight": 0,
        "merchant_id": null,
        "delivered_at": null,
        "tax": 0,
        "external_id": null,
        "webhook_id": null,
        "created_at": "2026-01-05T08:51:12.000000Z",
        "updated_at": "2026-01-05T09:30:17.000000Z",
        "warehouse_id": 207,
        "receiver_city_id": 62,
        "cod_wallet_id": null,
        "shipment_external_id": null,
        "selected_shipment_company": null,
        "source": "manual",
        "return_type": null,
        "volumetric_divisor": null,
        "merchant_shipment_id": null,
        "return_ordered_at": null,
        "latest_shipment": null,
        "merchant": null,
        "items": [
            {
                "id": 62504,
                "order_id": 43978,
                "name": "غطاء أيفون 15",
                "sku": null,
                "quantity": 2,
                "weight": 1,
                "weight_unit": null,
                "price": 100,
                "total_price": null,
                "tax": null,
                "currency": "SAR",
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z",
                "verification_status": "pending",
                "verified_at": null,
                "verified_by": null,
                "wrong_attempts": 0,
                "verification_note": null
            },
            {
                "id": 62505,
                "order_id": 43978,
                "name": "غطاء أيفون",
                "sku": null,
                "quantity": 2,
                "weight": 0,
                "weight_unit": null,
                "price": 100,
                "total_price": null,
                "tax": null,
                "currency": "SAR",
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z",
                "verification_status": "pending",
                "verified_at": null,
                "verified_by": null,
                "wrong_attempts": 0,
                "verification_note": null
            }
        ],
        "boxes": [
            {
                "id": 33041,
                "order_id": 43978,
                "box_id": null,
                "length": 123,
                "width": 123,
                "height": 123,
                "weight": 12300,
                "packaging_type_id": 1,
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z"
            }
        ]
    }
}
Modified at 2026-01-04 13:31:27
Previous
Update Order
Next
Reset Order
Built with